Subject: Nokia N900 retention mode in v4.6, camera buttons fun

From: [email-masked] (Pavel Machek)
Date: Sat, 28 May 2016 13:09:35 +0200

On Mon 2016-05-02 22:12:17, Sebastian Reichel wrote:
> Hi Pavel,
> 
> On Sun, May 01, 2016 at 05:48:56PM +0200, Sebastian Reichel wrote:
> > > I see latest series, and it also talks about frequency scaling.
> > > But I guess it is not going to fix this issue?
> > 
> > No, this is independent of the runtime PM problems. I also worked
> > on runtime PM/idling yesterday and pm_runtime_irq_safe is the main
> > culprit for breaking it (not the only one, though). It's not yet
> > finished though
> 
> I will be on vacation for a week starting tomorrow. If you want to
> play around with my intermediate SSI PM status, you can try this branch:
> 
> https://git.kernel.org/cgit/linux/kernel/git/sre/linux-hsi.git/log/?h=runtime-pm-fixes

Ok, I did:

pavel at amd:/data/l/linux-n900$ git pull
git://git.kernel.org/pub/scm/linux/kernel/git/sre/linux-hsi.git
runtime-pm-fixes
remote: Counting objects: 65, done.
remote: Compressing objects: 100% (25/25), done.
remote: Total 65 (delta 51), reused 54 (delta 40)
Unpacking objects: 100% (65/65), done.

And yes, now the LED goes off (so far with modem enabled but not
used). Thanks!

(You can have my Tested-by: when you submit them, or something :-) )

Best regards,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html